Organizations
Add Tenant to Organization
Associate an existing tenant with an organization for consolidated billing and analytics.
POST
/
v1
/
organizations
/
{id}
/
tenants
Attach a tenant to an organization
curl --request POST \
--url https://billing.example.com/v1/organizations/{id}/tenants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://billing.example.com/v1/organizations/{id}/tenants"
payload = { "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://billing.example.com/v1/organizations/{id}/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "added"
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier of the organization (e.g. org_4f3e2d1c0b9a8765). |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
tenant_id | string | Yes | The unique identifier of the tenant to add to the organization. |
Example Request
curl -X POST https://api.recurso.dev/v1/organizations/org_4f3e2d1c0b9a8765/tenants \
-H "Authorization: Bearer rsk_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"tenant_id": "tenant_a1b2c3d4"
}'
Response
Returns a confirmation that the tenant has been added to the organization.{
"status": "added",
"organization_id": "org_4f3e2d1c0b9a8765",
"tenant_id": "tenant_a1b2c3d4",
"added_at": "2026-06-23T12:00:00Z"
}
A tenant can only belong to one organization at a time. If the tenant is already
associated with a different organization, the request returns a
409 Conflict error.
Remove the tenant from the existing organization first.After adding tenants, you can view consolidated billing data using the
Consolidated MRR endpoint.
⌘I
Attach a tenant to an organization
